<app-login *ngIf="!user; else app"></app-login>

<ng-template #app>
    <dp-shell>
        <span shell-title>PROTOTYPE-X</span>

        <mat-list shell-nav>
            <mat-accordion>
                <mat-nav-list>
                    <a mat-list-item routerLink="/master"> Master </a>
                </mat-nav-list>
            </mat-accordion>
        </mat-list>

        <div shell-content style="height: 100%">
            <router-outlet></router-outlet>
        </div>
    </dp-shell>
</ng-template>